@charset "utf-8";

.container {
  padding-inline: 2rem;
}

.m-section-nav .container {
  padding-block: 0;
}

.l-sect-content {
  margin-top: 5.4rem;
}

@media screen and (max-width: 950px) {
  .m-section-nav {
    margin-top: 1.8rem;
  }

  .m-section-nav__wrapper {
    flex-wrap: wrap;
  }

  .m-section-nav__wrapper li {
    padding: 0 1.9rem;
  }

  .m-section-nav__link {
    padding-block: 1.9rem;
    width: 100%;
  }

  .m-section-nav__link.a-has-arrow.with-circle {
    display: flex;
    justify-content: flex-start;
    padding-left: 1.9rem;
  }

  .m-section-nav__wrapper li:not(:first-child)::before {
    background-color: var(--color-white5);
    content: "";
    display: inline-block;
    height: 0.1rem;
    left: 50%;
    position: absolute;
    top: 0;
    transform: translateX(-50%);
    width: calc(100% - 4rem);
  }

  .m-section-nav__link.a-has-arrow.with-circle::before, .m-section-nav__link.a-has-arrow.with-circle::after {
    right: 2.6rem;
  }
}

/* インターンシップについて */
.internship {
  padding-block: 9.5rem 10rem;
}

.internship-box {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.internship-box__content {
  background-color: var(--color-white);
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0 2rem;
}

.internship-box__hdg {
  border-bottom: 0.1rem solid var(--color-black);
  color: var(--color-black);
  font-size: 2.4rem;
  font-weight: 700;
  padding-bottom: 2.8rem;
}

.internship-box__link {
  align-items: center;
  border: 0.1rem solid var(--color-black);
  border-radius: 10rem;
  color: var(--color-black);
  display: flex;
  font-size: 1.6rem;
  gap: 1.2rem;
  justify-content: center;
  line-height: 2;
  margin: 3rem auto 0 0;
  padding: 0.1rem 1.5rem;
  transition: all 0.3s;
  width: fit-content;
}

.internship-box__link::after {
  aspect-ratio: 15 / 19;
  background-image: url(/recruit/resource/img/icn_arrow_black.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: inline-block;
  transform: rotate(-90deg);
  transition: transform 1s;
  width: 1.4rem;
}

@media (hover: hover) {
  .internship-box__link:hover {
    background-color: var(--color-black);
    color: var(--color-white);
  }

  .internship-box__link:hover::after {
    background-image: url(/recruit/resource/img/icn_arrow.svg);
    transform: rotate(-90deg) rotateY(360deg);
  }
}

@media screen and (max-width: 767px) {
  .internship {
    padding-block: 6rem;
  }

  .internship-box {
    grid-template-columns: 1fr;
  }

  .internship-box__content {
    padding: 4rem 2rem;
  }
}
